"""
Sesivacka
web ui for merging pdfs
"""
from flask import Flask
# from flask_debugtoolbar import DebugToolbarExtension

try:
    import config
except ImportError as e:
    print('Could not import config file, defaulting to empty.')
    config = None

def create_app(config):
    """
    Create new app object and cofingure it with *config_object*.
    """
    app = Flask(__name__)
    app.config.from_object(config)
    app.app_context().push()
    app.debug = True


    return app

app = create_app(config)
# toolbar = DebugToolbarExtension(app)

from sesivacka.dashboard import dashboard_blueprint
app.register_blueprint(dashboard_blueprint)
